import { LitElement } from 'lit';
export declare const ICON_SEARCHENGIN = "icon-searchengin";
export declare class IconSearchenginComponent extends LitElement {
    static readonly defaultTagName = "icon-searchengin";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
